slug: jkilliana
type: person
name: Jennifer Killiana
start_date: 2021-03-01
locality: 
country: Ireland
role: <a href="">Sales Development Representative 1</a>
reports_to: panosr
picture: ../gitlab-logo-extra-whitespace.png
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: jkilliana
departments:
  - Sales Development
specialty: Commercial
expertise:
story:

